# Interface ICefRenderProcessHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefRenderProcessHandler = interface(ICefBaseRefCounted)`

## Description

Interface used to implement render process callbacks. The functions of this interface will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefRenderProcessHandler

## Overview

### Methods

| `procedure OnWebKitInitialized;`
| `procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);`
| `procedure OnBrowserDestroyed(const browser: ICefBrowser);`
| `function GetLoadHandler: ICefLoadHandler;`
| `procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
| `procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
| `procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);`
| `procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);`
| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean;`
| `procedure RemoveReferences;`

## Description

### Methods

| `procedure OnWebKitInitialized;`
Called after WebKit has been initialized. ###### Attributes GUID['{FADEE3BC-BF66-430A-BA5D-1EE3782ECC58}']

| `procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);`
Called after a browser has been created. When browsing cross-origin a new browser will be created before the old browser with the same identifier is destroyed. |extra_info| is an optional read-only value originating from cef_browser_host_create_browser(), cef_browser_host_create_browser_sync(), ICefLifeSpanHandler.OnBeforePopup or cef_browser_view_create().

| `procedure OnBrowserDestroyed(const browser: ICefBrowser);`
Called before a browser is destroyed.

| `function GetLoadHandler: ICefLoadHandler;`
Return the handler for browser load status events.

| `procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
Called immediately after the V8 context for a frame has been created. To retrieve the JavaScript 'window' object use the ICefv8context.GetGlobal function. V8 handles can only be accessed from the thread on which they are created. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

| `procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
Called immediately before the V8 context for a frame is released. No references to the context should be kept after this function is called.

| `procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);`
Called for global uncaught exceptions in a frame. Execution of this callback is disabled by default. To enable set TCefSettings.uncaught_exception_stack_size > 0.

| `procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);`
Called when a new node in the the browser gets focus. The |node| value may be NULL if no specific node has gained focus. The node object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean;`
Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

| `procedure RemoveReferences;`
Custom procedure to clear all references.

Generated by PasDoc 0.16.0-snapshot.